# Interface SSLSessionBindingListener

All Superinterfaces:
  `EventListener`

public interface SSLSessionBindingListener extends EventListener
This interface is implemented by objects which want to know when they are being bound or unbound from a SSLSession. When either event occurs via `SSLSession.putValue(String, Object)` or `SSLSession.removeValue(String)`, the event is communicated through a SSLSessionBindingEvent identifying the session.

Since:
  1.4
See Also:
  - `SSLSession`
  - `SSLSessionBindingEvent`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `valueBound(SSLSessionBindingEvent event)`
  This is called to notify the listener that it is being bound into an SSLSession.
  `void`
  `valueUnbound(SSLSessionBindingEvent event)`
  This is called to notify the listener that it is being unbound from a SSLSession.

- ## Method Details

  - ### valueBound

    void valueBound(SSLSessionBindingEvent event)
    This is called to notify the listener that it is being bound into an SSLSession.
    Parameters:
      `event` - the event identifying the SSLSession into which the listener is being bound.

  - ### valueUnbound

    void valueUnbound(SSLSessionBindingEvent event)
    This is called to notify the listener that it is being unbound from a SSLSession.
    Parameters:
      `event` - the event identifying the SSLSession from which the listener is being unbound.